## ngspice 15

=== src/xspice/icm/Makefile ===
# The master makefile to make spiceopuse (TM) like codemodels
# Under the GPLV2 or later license 
# 2003 - Stefan Jones <stefan.jones@multigig.com>

include $(TOPDIR)makedefs

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include .deps/ifspec.P
-include .deps/cfunc.P
-include .deps/udnfunc.P
-include .deps/cm.P
-include .deps/dlmain.P

UPMAKE = make -f $(TOPDIR)../Makefile TOPDIR=$(TOPDIR)../

MAKE = make -f $(TOPDIR)Makefile TOPDIR=$(TOPDIR)

COMPILE = $(CC) $(INCLUDES) $(CFLAGS)

INSTALL_DATA = ${INSTALL} -m 644

all: 
	@for x in $(CMDIRS) ; do \
	( cd $$x && $(UPMAKE) $$x-mods ) \
	|| exit 1; \
	done

install: all
	$(mkinstalldirs) $(DESTDIR)$(libdir)/spice
	@for x in $(CMDIRS) ; do \
	echo "$(INSTALL_DATA) $$x/$$x.cm $(DESTDIR)$(libdir)/spice"; \
	$(INSTALL_DATA) $$x/$$x.cm $(DESTDIR)$(libdir)/spice \
	|| exit 1; \
	done 

clean:
	@for x in $(CMDIRS) ; do \
	( cd $$x && $(UPMAKE) $$x-mods-clean ) \
	|| exit 1; \
	done
	-rm -rf .deps

ifspec.c: ifspec.ifs
	-rm -f $@
	$(CMPP) -ifs

cfunc.c: cfunc.mod
	-rm -f $@
	$(CMPP) -mod

dlmain.c: $(TOPDIR)/dlmain.c 
	-cp $(TOPDIR)/dlmain.c .

objects.inc cmextrn.h cminfo.h udnextrn.h udninfo.h: modpath.lst  udnpath.lst
	-rm -f cmextrn.h cminfo.h objects.inc udnextrn.h udninfo.h 
	$(CMPP) -lst

dlmain.o: cmextrn.h cminfo.h udnextrn.h udninfo.h

%.cm: dlmain.o objects.inc
	@echo $@: objects.inc dlmain.o \\ > .deps/cm.P
	@for x in `cat modpath.lst` ; do \
	echo $$x/cfunc.o $$x/ifspec.o \\ >> .deps/cm.P ; done
	@for x in `cat udnpath.lst` ; do \
	echo $$x/udnfunc.o \\ >> .deps/cm.P ; done
	@echo "" >> .deps/cm.P
	$(COMPILE) $(LDFLAGS) -o $@ `awk '{ print $$1 }' objects.inc` dlmain.o

%-mods: modpath.lst udnpath.lst
	@for x in `cat modpath.lst` ; do \
	( cd $$x && $(UPMAKE) objs ) \
	|| exit 1; \
	done
	@for x in `cat udnpath.lst` ; do \
	( cd $$x && $(UPMAKE) uobjs ) \
	|| exit 1; \
	done
	@target=`echo $@ | sed s/-mods//`; $(MAKE) $$target.cm

%-mods-clean:
	@target=`echo $@ | sed s/-mods-clean//` && rm -f $$target.cm
	@for x in `cat modpath.lst` ; do \
	( cd $$x && $(UPMAKE) objs-clean ) \
	|| exit 1; \
	done
	@for x in `cat udnpath.lst` ; do \
	( cd $$x && $(UPMAKE) uobjs-clean ) \
	|| exit 1; \
	done
	-rm -f cmextrn.h cminfo.h objects.inc udnextrn.h udninfo.h \
	dlmain.c dlmain.o
	-rm -rf .deps
	

objs: ifspec.o cfunc.o

objs-clean:
	-rm -f cfunc.c ifspec.c cfunc.o ifspec.o
	-rm -rf .deps

uobjs: udnfunc.o

uobjs-clean:
	-rm -f udnfunc.o
	-rm -rf .deps

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	| sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	>> .deps/$(*F).P; \
	rm .deps/$(*F).pp

makedefs: $(srcdir)/makedefs.in $(top_builddir)/config.status
	cd $(top_builddir) \
	&& CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

# Hack by SDB to enable "make mrproper" from top level.
#  Since there is no Makefile.am for this directory, we need to 
#  incorporate this stuff by hand.
MAINTAINERCLEANFILES = 

maintainer-clean: maintainer-clean-generic
	rm -f `find . -type f -name "*~" -print`
	rm -f `find . -type f -name "*.orig" -print`
	rm -f `find . -type f -name "*.rej" -print`
	rm -fR `find . -type d -name ".deps" -print`

maintainer-clean-generic: clean
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)


distclean: maintainer-clean

distdir:

check:

## ngspice 23

=== debian/changelog ===
ngspice (23-1) unstable; urgency=low

  * New upstream release
  * Change standards version to 3.9.2
  * Change debhelper dependency to 8
  * Add a line to rules to remove dependency_libs field from tclspice-dev
  * Remove override files
  * Create build-arch and build-indep targets
  * Add patch 02_fix_spelling
  * Change texlive dependencies to texlive, texlive-latex-extra, 
     texlive-lang-greek

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 19 Jun 2011 04:44:19 +0200

ngspice (22-1) unstable; urgency=low

  * New upstream release
  * Source package renamed to ngspice
  * Add patches 01_fix_manpages 02_fix_spelling
  * Change/fix get-orig-source target
  * Add overrides files
  * Made the extended description of tclspice a bit longer
  * Fix watch file, look for ngspice instead of ng-spice-rework

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 21 Mar 2011 13:58:58 +0100

ng-spice-rework (21-2) UNRELEASED; urgency=low

  * Bump standards version to 3.9.1
  * Remove unneeded section fields in control file
  * Fix short description of tclspice-dev
  * Change (C) to © in copyright file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 03 Aug 2010 22:59:00 +0200

ng-spice-rework (21-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.0
  * Rewrite get-orig-source
  * Switch to dpkg-source 3.0 (quilt) format
  * Add build dependency on lyx, elyxer and texlive-full
  * Fix compilation of doc in rules file
  * Add build dependency on imagemagick
  * Remove machine generated file src/frontend/parse-bison.c
    in clean target
  * Remove README.source
  * Remove all patches, fixed in upstream

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 25 Jul 2010 17:17:32 +0200

ng-spice-rework (20-1) unstable; urgency=low

  [ Gudjon I. Gudjonsson ]
  * New upstream release
  * Correct the Vcs fields

  [ Andreas Tille ]
  * Group maintenance in Debian Science team with permission of
    maintainer

 -- Andreas Tille <tille@debian.org>  Fri, 20 Nov 2009 11:15:21 +0100

ng-spice-rework (19-2) UNRELEASED; urgency=low

  * Add XS-Autobuild tag
  * Bump standards version to 3.8.3, no changes needed
  * Add README.source file
  * Add misc dependency on tclspice-dev
  * Add ngspice dependency on dpkg (>= 1.15.4) | install-info
  * Remove debian/tmp/usr/share/dir file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 15 Nov 2009 00:00:02 +0100

ng-spice-rework (19-1) unstable; urgency=low

  * New upstream release
  * Remove all patches since they are already in upstream
  * Remove call to autogen and --enable experimental option when building
  * Fix watch file
  * Not removing getopt files, since they are BSD now
  * Change /usr/share/ng-spice-rework to /usr/share/ngspice
  * Remove quilt dependency
  * Fix get-orig-source target
  * Create patch 01_fix_bashism.diff to fix bashism (Closes: #530986)
  * Add quilt dependency

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 07 Jun 2009 10:11:42 +0200

ng-spice-rework (18-1) unstable; urgency=low

  * Initial release (Closes: #489768)
  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * debian/rules: add -XCOPYING to dh_installdocs for contrib.
  * debian/rules, debian/control: Use quilt.
  * Added 01_manpages-hyphen.diff patch which fixes the hyphens in ngnutmeg.1 
    & ngspice.1 manpages.
  * debian/rules: added get-orig-source target.
  * Added one target package: ngspice-doc.
  * debian/docs: Added ANALYSES, BUGS & DEVICES.

  [ Gudjon I. Gudjonsson ]
  * Add the documentation license to the copyright file
  * Package moved to non-free
  * Remove getopt*.{c,h} incompatible licenses, add empty files instead
  * Add patch 02_fix_getopt.diff to include system getopt.h
  * Add patch 03_fix_libdir.diff that fixes libdir in configure.in
    Thanks to Ahmed
  * Let rules run ./autogen.sh in build/tclspice
  * Add dependencies on automake

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 20 Apr 2009 19:51:11 +0200

=== debian/control ===
Source: ngspice
Section: non-free/electronics
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 8), automake, libtool, libxaw7-dev, flex,
 bison, gfortran, libeditline-dev, libncurses5-dev,
 lyx, elyxer, texinfo, texlive, texlive-latex-extra, texlive-lang-greek, imagemagick,
 tcl8.4-dev, tcl8.4, tk8.4-dev, tk8.4, blt-dev
Standards-Version: 3.9.2
Homepage: http://ngspice.sourceforge.net
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/ng-spice-rework/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/ng-spice-rework/trunk
DM-Upload-Allowed: yes
XS-Autobuild: yes

Package: ngspice
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: Spice circuit simulator
 NGspice is a mixed-level/mixed-signal circuit simulator.
 Its code is based on three open source software packages:
 Spice3f5, Cider1b1 and Xspice.
 .
 NGspice is part of gEDA project, a full GPL'd suite of 
 Electronic Design Automation tools.

Package: tclspice-dev
Section: non-free/libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tclspice, blt-dev, tcl8.4-dev, tk8.4-dev
Description: NGspice library for Tcl, development files
 TclSpice brings NGspice simulation engine into your Tcl-scripts.
 It includes XSpice. GUI is handled by Tk using BLT vectors.
 .
 This package contains the development files for TclSpice.

Package: tclspice
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, blt, tcl8.4, tk8.4
Description: NGspice library for Tcl
 TclSpice brings NGspice simulation engine into your Tcl-scripts.
 All spice directives are available as Tcl functions and it features
 some new commands that are useful for the integration into the Tcl
 environment. It includes XSpice. 
 GUI is handled by Tk using BLT vectors.

Package: ngspice-doc
Section: non-free/doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Documentation for the NGspice circuit simulator
 NGspice is a mixed-level/mixed-signal circuit simulator.
 Its code is based on three open source software packages:
 Spice3f5, Cider1b1 and Xspice.
 .
 NGspice is part of gEDA project, a full GPL'd suite of 
 Electronic Design Automation tools.
 .
 This package contains the html, postscript and pdf documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif



config.status: config.status-stamp configure
config.status-stamp:
	dh_testdir
	# Make build dir for ngspice
	mkdir -p build/ngspice
	cp -Rl `ls . |grep -v build|grep -v debian` build/ngspice
	cp -f /usr/share/misc/config.sub build/ngspice/config.sub
	cp -f /usr/share/misc/config.guess build/ngspice/config.guess
	#cp -f /usr/share/misc/config.sub build/ngspice/doc/config.sub
	#cp -f /usr/share/misc/config.guess build/ngspice/doc/config.guess
	cp -a manual build/
	# Make build dir for tclspice
	mkdir -p build/tclspice
	cp -Rl `ls . |grep -v build|grep -v debian` build/tclspice
	cp -f /usr/share/misc/config.sub build/tclspice/config.sub
	cp -f /usr/share/misc/config.guess build/tclspice/config.guess
	# Configure ngspice
	(cd build/ngspice;\
	./configure $(CROSS) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--enable-maintainer-mode \
		--enable-capzerobypass \
		--enable-intnoise \
		--enable-xspice \
		--enable-cider \
		--disable-xgraph \
		--enable-debug \
		--enable-numparam=yes \
		--enable-dot-global \
		enable_adms=no \
		CFLAGS="$(CFLAGS)")
	#LDFLAGS="-Wl,-z,defs")
	# Configure tclspice
	(cd build/tclspice;\
	./configure $(CROSS) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--libdir=/usr/lib/tcltk \
		--enable-shared=yes \
		--enable-maintainer-mode \
		--enable-capzerobypass \
		--enable-intnoise \
		--enable-xspice \
		--enable-cider \
		--disable-xgraph \
		--enable-debug \
		--enable-numparam=yes \
		--enable-dot-global \
		--disable-x \
		--with-tcl=/usr/lib/tcl8.4 \
		CFLAGS="$(CFLAGS)")
	touch $@

build: build-arch build-indep

build-arch: config.status 
	dh_testdir
	cd build/ngspice && $(MAKE)
	cd build/tclspice && $(MAKE)

build-indep: config.status
	# Build documentation
	dh_testdir
	cd build/manual && lyx --export ps manual.lyx 
	cd build/manual && lyx --export html manual.lyx 

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	rm -f config.status-stamp
	rm -rf build
	rm -f src/frontend/parse-bison.c
	rm -f src/frontend/parse-bison.h
	rm -f config.guess
	rm -f config.sub
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Make ngspice and tclspice
	cd build/ngspice && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	cd build/tclspice && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	# The code model files must be stripped
ifneq ("nostrip","$(findstring nostrip,$(DEB_BUILD_OPTIONS))")
	strip $(CURDIR)/debian/tmp/usr/lib/spice/*.cm
	strip $(CURDIR)/debian/tmp/usr/lib/tcltk/spice/*.cm
endif

	# Remove empty dirs:
	find $(CURDIR)/debian/tclspice -type d -empty -delete

	# Documentation for ngspice, the same as for tclspice
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/html
	cp -a build/manual/manual.html.LyXconv/* \
		$(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/html
	install -o root -g root -m 644 build/manual/manual.ps \
		$(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/ngspice.ps
	# Removing /usr/share/info directory
	rm -rf $(CURDIR)/debian/tmp/usr/share/info

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_install -i --sourcedir=debian/tmp
	#dh_installinfo -i
	dh_installman -i
	dh_installexamples -i -pngspice-doc examples/* -Xtclspice
	dh_installchangelogs ChangeLog -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs ChangeLog -a
	dh_installdocs -pngspice contrib -XCOPYING -a
	dh_installdocs
	dh_installexamples -ptclspice examples/tclspice/* -a
	dh_install --sourcedir=debian/tmp -a
	sed -i "/dependency_libs/ s/'.*'/''/" \
		"$(CURDIR)/debian/tclspice-dev/usr/lib/tcltk/libspice.la"
	#dh_installinfo -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

#DEB_UPSTREAM_VERSION := $(shell dpkg-parsechangelog | grep '^Version:' | sed -e 's/Version: \(.*\)-\(.*\)\.*/\1/')
get-orig-source:
	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+~]+).*,\1,p'); \
	set -e;\
	wget -q http://sourceforge.net/projects/ngspice/files/ng-spice-rework/$$VER/ngspice-$$VER.tar.gz; \
	tar xzf ngspice-$$VER.tar.gz --exclude=CVS --exclude=xgraph; \
	rm -f ngspice-$$VER/config.sub ;\
 	rm -f ngspice-$$VER/config.guess ;\
	tar czf ngspice_$$VER.orig.tar.gz ngspice-$$VER; \
	rm -f ngspice-$$VER.tar.gz; \
	rm -rf ngspice-$$VER; \
	wget -q http://sourceforge.net/projects/ngspice/files/ng-spice-rework/$$VER/ngspice-doc-$$VER.tar.gz; \
	tar xzf ngspice-doc-$$VER.tar.gz --exclude=\*.pdf; \
	mv ngspice-doc-$$VER ngspice-$$VER; \
	tar czf ngspice_$$VER.orig-manual.tar.gz ngspice-$$VER; \
	rm -f ngspice-doc-$$VER.tar.gz; \
	rm -rf ngspice-$$VER
# 	find ${DIRNAME} -name .cvsignore -exec rm -f {} \; ;\

.PHONY: build clean binary-indep binary-arch binary install

## ngspice 24

=== debian/changelog ===
ngspice (24-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.3
  * Move /usr/lib/spice to /usr/lib/ngspice
    and /usr/lib/tcltk to /usr/lib/tcltk/ngspice
    reflecting changes in upstream
  * Move install of tclspice prior to ngspice, both will install spinit but
    the one from ngspice is the correct.
  * Add tclspice binary dependency on ngspice
  * Remove patch 02_fix_spelling.patch. Fixed in upstream
  * Refreshed patch 01_fix_manpages
  * Create patch 02_fix_tcl_examples
  * Exclude .tcl and .cir files in examples from compression
  * Change configure parameters
  * Change readline dependency to libedit-dev
  * Make tcl examples executable
  * Add src/xspice/examples to ngspice examples
  * Remove tclspice-dev package and move content to tclspice
    Add Break and Replaces on tclspice-dev
  * Started making copyright file machine readable
  * Make tclspice examples executable
  * Add manpage for cmpp, ngmakeidx and  ngproc2mod
  * Remove examples/TransImpedanceAmp and exampless/tclspice\tcl-testbench3
    because of incompatiple licenses
  * Add install-indep/arch stansas to rules file
  * Add dependency on texlive-generic-recommended
  * Add Build-Depends-Indep to control file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 04 Jun 2012 22:34:18 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
  Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 8), automake, libtool, libxaw7-dev, flex,
- bison, gfortran, libeditline-dev, libncurses5-dev,
- lyx, elyxer, texinfo, texlive, texlive-latex-extra, texlive-lang-greek, imagemagick,
- tcl8.4-dev, tcl8.4, tk8.4-dev, tk8.4, blt-dev
-Standards-Version: 3.9.2
+ bison, gfortran, libedit-dev, libncurses5-dev,
+ texinfo, tcl8.4-dev, tcl8.4, tk8.4-dev, tk8.4, blt-dev
+Build-Depends-Indep: lyx, elyxer, texlive, texlive-latex-extra, texlive-lang-greek,
+ texlive-generic-recommended, imagemagick
+Standards-Version: 3.9.3
 Homepage: http://ngspice.sourceforge.net
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/ng-spice-rework/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/ng-spice-rework/trunk
@@ -26,19 +27,11 @@
  NGspice is part of gEDA project, a full GPL'd suite of 
  Electronic Design Automation tools.
 
-Package: tclspice-dev
-Section: non-free/libdevel
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, tclspice, blt-dev, tcl8.4-dev, tk8.4-dev
-Description: NGspice library for Tcl, development files
- TclSpice brings NGspice simulation engine into your Tcl-scripts.
- It includes XSpice. GUI is handled by Tk using BLT vectors.
- .
- This package contains the development files for TclSpice.
-
 Package: tclspice
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, blt, tcl8.4, tk8.4
+Depends: ${shlibs:Depends}, ${misc:Depends}, ngspice, blt, tcl8.4, tk8.4
+Replaces: tclspice-dev
+Breaks: tclspice-dev
 Description: NGspice library for Tcl
  TclSpice brings NGspice simulation engine into your Tcl-scripts.
  All spice directives are available as Tcl functions and it features

=== debian/rules ===
--- 
+++ 
@@ -38,15 +38,10 @@
 		--prefix=/usr \
 		--mandir=\$${prefix}/share/man \
 		--enable-maintainer-mode \
-		--enable-capzerobypass \
-		--enable-intnoise \
+		--with-editline=yes \
 		--enable-xspice \
 		--enable-cider \
-		--disable-xgraph \
-		--enable-debug \
-		--enable-numparam=yes \
-		--enable-dot-global \
-		enable_adms=no \
+		--disable-debug \
 		CFLAGS="$(CFLAGS)")
 	#LDFLAGS="-Wl,-z,defs")
 	# Configure tclspice
@@ -57,14 +52,10 @@
 		--libdir=/usr/lib/tcltk \
 		--enable-shared=yes \
 		--enable-maintainer-mode \
-		--enable-capzerobypass \
-		--enable-intnoise \
+		--with-editline=no \
 		--enable-xspice \
 		--enable-cider \
-		--disable-xgraph \
-		--enable-debug \
-		--enable-numparam=yes \
-		--enable-dot-global \
+		--disable-debug \
 		--disable-x \
 		--with-tcl=/usr/lib/tcl8.4 \
 		CFLAGS="$(CFLAGS)")
@@ -76,13 +67,13 @@
 	dh_testdir
 	cd build/ngspice && $(MAKE)
 	cd build/tclspice && $(MAKE)
+	touch $@
 
 build-indep: config.status
 	# Build documentation
 	dh_testdir
 	cd build/manual && lyx --export ps manual.lyx 
 	cd build/manual && lyx --export html manual.lyx 
-
 	touch $@
 
 clean:
@@ -95,26 +86,31 @@
 	rm -f src/frontend/parse-bison.h
 	rm -f config.guess
 	rm -f config.sub
+	rm -f *-indep *-arch
 	dh_clean 
 
-install: build
+install-arch: build-arch
 	dh_testdir
 	dh_testroot
 	dh_prep
 	dh_installdirs
 
 	# Make ngspice and tclspice
+	# tclspice must be installed prior to ngspice. Some files will be overwritten by ngspice
+	# but the ngspice are the correct ones.
+	cd build/tclspice && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install 
 	cd build/ngspice && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
-	cd build/tclspice && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
 	# The code model files must be stripped
 ifneq ("nostrip","$(findstring nostrip,$(DEB_BUILD_OPTIONS))")
-	strip $(CURDIR)/debian/tmp/usr/lib/spice/*.cm
-	strip $(CURDIR)/debian/tmp/usr/lib/tcltk/spice/*.cm
+	strip $(CURDIR)/debian/tmp/usr/lib/ngspice/*.cm
+	strip $(CURDIR)/debian/tmp/usr/lib/tcltk/ngspice/*.cm
 endif
 
 	# Remove empty dirs:
 	find $(CURDIR)/debian/tclspice -type d -empty -delete
+	touch $@
 
+install-indep: build-indep
 	# Documentation for ngspice, the same as for tclspice
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/html
 	cp -a build/manual/manual.html.LyXconv/* \
@@ -123,18 +119,25 @@
 		$(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/ngspice.ps
 	# Removing /usr/share/info directory
 	rm -rf $(CURDIR)/debian/tmp/usr/share/info
+	chmod a-x $(CURDIR)/build/tclspice/examples/tclspice/*/*.tcl
+	chmod a+x $(CURDIR)/build/tclspice/examples/tclspice/tcl-testbench*/tcl-testbench*.tcl \
+		$(CURDIR)/build/tclspice/examples/tclspice/tcl/test_vectoblt.tcl
+	mkdir -p build/ngspice/examples/xspice1/
+	cp -a src/xspice/examples/* build/ngspice/examples/xspice1/
+	find build/ngspice/examples/xspice1/ -name Makefile -exec rm -f {} \;
+	find build/ngspice/examples/xspice1/ -type f -exec chmod a-x {} \;
+	touch $@
 
 # Build architecture-independent files here.
-binary-indep: build install
+binary-indep: install-indep
 	dh_testdir -i
 	dh_testroot -i
 	dh_installdocs -i
 	dh_install -i --sourcedir=debian/tmp
-	#dh_installinfo -i
 	dh_installman -i
-	dh_installexamples -i -pngspice-doc examples/* -Xtclspice
+	dh_installexamples -i -pngspice-doc build/ngspice/examples/* -Xtclspice
 	dh_installchangelogs ChangeLog -i
-	dh_compress -i
+	dh_compress -i --exclude=.tcl --exclude=.cir
 	dh_fixperms -i
 	dh_installdeb -i
 	dh_gencontrol -i
@@ -142,21 +145,20 @@
 	dh_builddeb -i
 
 # Build architecture-dependent files here.
-binary-arch: build install
+binary-arch: install-arch
 	dh_testdir -a
 	dh_testroot -a
 	dh_installchangelogs ChangeLog -a
 	dh_installdocs -pngspice contrib -XCOPYING -a
 	dh_installdocs
-	dh_installexamples -ptclspice examples/tclspice/* -a
+	dh_installexamples -ptclspice build/tclspice/examples/tclspice/* -a
 	dh_install --sourcedir=debian/tmp -a
 	sed -i "/dependency_libs/ s/'.*'/''/" \
-		"$(CURDIR)/debian/tclspice-dev/usr/lib/tcltk/libspice.la"
-	#dh_installinfo -a
+		"$(CURDIR)/debian/tclspice/usr/lib/tcltk/libspice.la"
 	dh_installman -a
 	dh_link -a
 	dh_strip -a
-	dh_compress -a
+	dh_compress -a --exclude=.tcl --exclude=.cir
 	dh_fixperms -a
 	dh_installdeb -a
 	dh_shlibdeps -a
@@ -173,7 +175,9 @@
 	wget -q http://sourceforge.net/projects/ngspice/files/ng-spice-rework/$$VER/ngspice-$$VER.tar.gz; \
 	tar xzf ngspice-$$VER.tar.gz --exclude=CVS --exclude=xgraph; \
 	rm -f ngspice-$$VER/config.sub ;\
- 	rm -f ngspice-$$VER/config.guess ;\
+	rm -f ngspice-$$VER/config.guess ;\
+	rm -rf ngspice-$$VER/examples/TransImpedanceAmp ;\
+	rm -rf ngspice-$$VER/examples/tclspice\tcl-testbench3 ;\
 	tar czf ngspice_$$VER.orig.tar.gz ngspice-$$VER; \
 	rm -f ngspice-$$VER.tar.gz; \
 	rm -rf ngspice-$$VER; \

## ngspice 26

=== debian/changelog ===
ngspice (26-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:44:04 +0000

ngspice (26-1) unstable; urgency=low

  * New upstream release (Closes: #706821)
  * Bump standards version to 3.9.5
  * Make VCS field canonical
  * Change tcl version to 8.6
  * Remove part of patch, wish8.4 changed back to wish for tclspice examples
  * Add pdf manual
  * Remove DM-upload line from control
  * Add patch 03_fix_compilation.patch
    (Thanks to Robert Larice)
  * Remove stripping of codemodel files
  * Add -BLT and -ltcl8.6 to configure for tclspice.
    Needed by libtclspice
  * Remove ps manual
  * Remove hardening wrapper and exchange for dpkg-buildflags
  * Add dependency on libfftw3-dev

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 05 Jul 2014 10:09:39 +0000

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,13 @@
  Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 8), automake, libtool, libxaw7-dev, flex,
  bison, gfortran, libedit-dev, libncurses5-dev,
- texinfo, tcl8.4-dev, tcl8.4, tk8.4-dev, tk8.4, blt-dev
+ texinfo, tcl8.6-dev, tcl8.6, tk8.6-dev, tk8.6, blt-dev
 Build-Depends-Indep: lyx, elyxer, texlive, texlive-latex-extra, texlive-lang-greek,
  texlive-generic-recommended, imagemagick
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://ngspice.sourceforge.net
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/ng-spice-rework/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/ng-spice-rework/trunk
-DM-Upload-Allowed: yes
+Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/ng-spice-rework/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/ng-spice-rework/trunk/
 XS-Autobuild: yes
 
 Package: ngspice
@@ -29,7 +28,7 @@
 
 Package: tclspice
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ngspice, blt, tcl8.4, tk8.4
+Depends: ${shlibs:Depends}, ${misc:Depends}, ngspice, blt, tcl8.6, tk8.6
 Replaces: tclspice-dev
 Breaks: tclspice-dev
 Description: NGspice library for Tcl

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,11 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
+export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
+export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
+export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -14,7 +19,8 @@
 CROSS= --build $(DEB_BUILD_GNU_TYPE)
 endif
 
-
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 config.status: config.status-stamp configure
 config.status-stamp:
@@ -34,6 +40,7 @@
 	cp -f /usr/share/misc/config.guess build/tclspice/config.guess
 	# Configure ngspice
 	(cd build/ngspice;\
+	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" \
 	./configure $(CROSS) \
 		--prefix=/usr \
 		--mandir=\$${prefix}/share/man \
@@ -41,11 +48,10 @@
 		--with-editline=yes \
 		--enable-xspice \
 		--enable-cider \
-		--disable-debug \
-		CFLAGS="$(CFLAGS)")
-	#LDFLAGS="-Wl,-z,defs")
+		--disable-debug)
 	# Configure tclspice
 	(cd build/tclspice;\
+	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS) -lBLT -ltcl8.6" \
 	./configure $(CROSS) \
 		--prefix=/usr \
 		--mandir=\$${prefix}/share/man \
@@ -57,8 +63,7 @@
 		--enable-cider \
 		--disable-debug \
 		--disable-x \
-		--with-tcl=/usr/lib/tcl8.4 \
-		CFLAGS="$(CFLAGS)")
+		--with-tcl=/usr/lib/tcl8.6)
 	touch $@
 
 build: build-arch build-indep
@@ -72,7 +77,8 @@
 build-indep: config.status
 	# Build documentation
 	dh_testdir
-	cd build/manual && lyx --export ps manual.lyx 
+	#cd build/manual && lyx --export ps manual.lyx 
+	cd build/manual && lyx --export pdf2 manual.lyx 
 	cd build/manual && lyx --export html manual.lyx 
 	touch $@
 
@@ -100,11 +106,11 @@
 	# but the ngspice are the correct ones.
 	cd build/tclspice && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install 
 	cd build/ngspice && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
-	# The code model files must be stripped
-ifneq ("nostrip","$(findstring nostrip,$(DEB_BUILD_OPTIONS))")
-	strip $(CURDIR)/debian/tmp/usr/lib/ngspice/*.cm
-	strip $(CURDIR)/debian/tmp/usr/lib/tcltk/ngspice/*.cm
-endif
+	# The code mode were stripped but change since version 25
+	#ifneq ("nostrip","$(findstring nostrip,$(DEB_BUILD_OPTIONS))")
+	#strip $(CURDIR)/debian/tmp/usr/lib/ngspice/*.cm
+	#strip $(CURDIR)/debian/tmp/usr/lib/tcltk/ngspice/*.cm
+	#endif
 
 	# Remove empty dirs:
 	find $(CURDIR)/debian/tclspice -type d -empty -delete
@@ -113,10 +119,12 @@
 install-indep: build-indep
 	# Documentation for ngspice, the same as for tclspice
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/html
-	cp -a build/manual/manual.html.LyXconv/* \
+	cp -a $(CURDIR)/build/manual/manual.html.LyXconv/* \
 		$(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/html
-	install -o root -g root -m 644 build/manual/manual.ps \
-		$(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/ngspice.ps
+	#install -o root -g root -m 644 build/manual/manual.ps \
+	#	$(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/ngspice.ps
+	install -o root -g root -m 644 build/manual/manual.pdf \
+		$(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/ngspice.pdf
 	# Removing /usr/share/info directory
 	rm -rf $(CURDIR)/debian/tmp/usr/share/info
 	chmod a-x $(CURDIR)/build/tclspice/examples/tclspice/*/*.tcl
@@ -157,7 +165,7 @@
 		"$(CURDIR)/debian/tclspice/usr/lib/tcltk/libspice.la"
 	dh_installman -a
 	dh_link -a
-	dh_strip -a
+	dh_strip -a --exlude=.cm
 	dh_compress -a --exclude=.tcl --exclude=.cir
 	dh_fixperms -a
 	dh_installdeb -a

=== debian/watch ===
version=3
http://sf.net/ngspice/ngspice-([0-9].*)\.tar\.gz debian uupdate

## ngspice 27

=== debian/changelog ===
ngspice (27-1) unstable; urgency=medium

  [ Gudjon I. Gudjonsson ]
  * Change standards version to 4.1.2, no changes needed
  * Add hardening +all
  * Change vcs browser field from http to https
  * Fix copyright file
  * Add patch 03_fix_spelling
  * Change compat level to 9

  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * Priority: extra -> optional

  [ Gudjon I. Gudjonsson ]
  * Add dependency on texlive-science
  * Add lintian overrides file
  * Change lyx output from html to xhtml to avoid using elyxer

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 26 Dec 2017 07:26:13 +0100

ngspice (26-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove elyxer from Build-Depends-Indep to allow for the removal of elyxer
    from Debian. The build in HTML export support in LyX improved during the
    last years and is equally usable or even better regarding new LyX file
    formats.
  * Change package priority from extra to optional.

 -- Sven Hoexter <hoexter@debian.org>  Sun, 10 Dec 2017 14:53:20 +0100

ngspice (26-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Run lyx with a temporary -userdir to not rely on $HOME, thanks to
    Johann Klammer.  (Closes: #813119)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Apr 2016 20:50:13 +0200

=== debian/control ===
Source: ngspice
Section: non-free/electronics
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 8), 
               automake, 
               libtool, 
               libxaw7-dev,
               flex,
               bison, 
               gfortran, 
               libedit-dev, 
               libncurses5-dev,
               texinfo, 
               tcl8.6-dev, 
               tcl8.6, 
               tk8.6-dev, 
               tk8.6, 
               blt-dev
Build-Depends-Indep: lyx, 
                     texlive,
                     texlive-science,
                     texlive-latex-extra, 
                     texlive-lang-greek,
                     texlive-generic-recommended, 
                     imagemagick
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ngspice.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/ngspice.git
Homepage: http://ngspice.sourceforge.net
XS-Autobuild: yes

Package: ngspice
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends}, 
         dpkg (>= 1.15.4) | install-info
Description: Spice circuit simulator
 NGspice is a mixed-level/mixed-signal circuit simulator.
 Its code is based on three open source software packages:
 Spice3f5, Cider1b1 and Xspice.
 .
 NGspice is part of gEDA project, a full GPL'd suite of 
 Electronic Design Automation tools.

Package: tclspice
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends}, 
         ngspice, 
         blt, 
         tcl8.6, 
         tk8.6
Replaces: tclspice-dev
Breaks: tclspice-dev
Description: NGspice library for Tcl
 TclSpice brings NGspice simulation engine into your Tcl-scripts.
 All spice directives are available as Tcl functions and it features
 some new commands that are useful for the integration into the Tcl
 environment. It includes XSpice. 
 GUI is handled by Tk using BLT vectors.

Package: ngspice-doc
Section: non-free/doc
Architecture: all
Depends: ${shlibs:Depends}, 
         ${misc:Depends}
Description: Documentation for the NGspice circuit simulator
 NGspice is a mixed-level/mixed-signal circuit simulator.
 Its code is based on three open source software packages:
 Spice3f5, Cider1b1 and Xspice.
 .
 NGspice is part of gEDA project, a full GPL'd suite of 
 Electronic Design Automation tools.
 .
 This package contains the html, postscript and pdf documentation.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,12 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+include /usr/share/dpkg/pkg-info.mk
+
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
 export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
@@ -33,6 +37,7 @@
 	#cp -f /usr/share/misc/config.sub build/ngspice/doc/config.sub
 	#cp -f /usr/share/misc/config.guess build/ngspice/doc/config.guess
 	cp -a manual build/
+	mkdir -p build/manual/.lyx
 	# Make build dir for tclspice
 	mkdir -p build/tclspice
 	cp -Rl `ls . |grep -v build|grep -v debian` build/tclspice
@@ -77,9 +82,9 @@
 build-indep: config.status
 	# Build documentation
 	dh_testdir
-	#cd build/manual && lyx --export ps manual.lyx 
-	cd build/manual && lyx --export pdf2 manual.lyx 
-	cd build/manual && lyx --export html manual.lyx 
+	#cd build/manual && lyx -userdir ./.lyx -batch --export ps manual.lyx 
+	-cd build/manual && lyx -userdir ./.lyx -batch --export xhtml manual.lyx 
+	-cd build/manual && lyx -userdir ./.lyx -batch --export pdf2 manual.lyx 
 	touch $@
 
 clean:
@@ -119,7 +124,13 @@
 install-indep: build-indep
 	# Documentation for ngspice, the same as for tclspice
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/html
-	cp -a $(CURDIR)/build/manual/manual.html.LyXconv/* \
+	#cp -a $(CURDIR)/build/manual/manual.html.LyXconv/* \
+	#	$(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/html
+	cp -a $(CURDIR)/build/manual/Images \
+		$(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/html
+	cp -a $(CURDIR)/build/manual/*.png \
+		$(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/html
+	cp -a $(CURDIR)/build/manual/*.xhtml \
 		$(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/html
 	#install -o root -g root -m 644 build/manual/manual.ps \
 	#	$(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/ngspice.ps
@@ -165,7 +176,8 @@
 		"$(CURDIR)/debian/tclspice/usr/lib/tcltk/libspice.la"
 	dh_installman -a
 	dh_link -a
-	dh_strip -a --exlude=.cm
+	dh_lintian -a
+	dh_strip -a --exclude=.cm
 	dh_compress -a --exclude=.tcl --exclude=.cir
 	dh_fixperms -a
 	dh_installdeb -a
@@ -178,8 +190,8 @@
 
 #DEB_UPSTREAM_VERSION := $(shell dpkg-parsechangelog | grep '^Version:' | sed -e 's/Version: \(.*\)-\(.*\)\.*/\1/')
 get-orig-source:
-	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+~]+).*,\1,p'); \
 	set -e;\
+	VER=$(DEB_VERSION_UPSTREAM);\
 	wget -q http://sourceforge.net/projects/ngspice/files/ng-spice-rework/$$VER/ngspice-$$VER.tar.gz; \
 	tar xzf ngspice-$$VER.tar.gz --exclude=CVS --exclude=xgraph; \
 	rm -f ngspice-$$VER/config.sub ;\
